Latest 0.7.0
Homepage https://github.com/Anobisoft/AnobiUIKit
License MIT
Platforms ios 9.3, requires ARC
Dependencies AnobiKit
Frameworks UIKit
Authors

CI Status
Version
Downloads
Platform
Language
License
Twitter

Collection of various UIKit-dependent classes and categories useful to Objective-C iOS Developer.

Example

To run the example project, clone the repo, and run pod install --project-directory=Example first.

Installation with CocoaPods

CocoaPods is a dependency manager for Objective-C, which automates and simplifies the process of using 3rd-party libraries like AnobiUIKit in your projects. You can install it with the following command:

$ gem install cocoapods

Podfile

To integrate AnobiUIKit into your Xcode project using CocoaPods, specify it in your Podfile:

platform :ios, '9.3'
use_frameworks!

target 'TargetName' do
  pod 'AnobiUIKit'
end

Then, run the following command:

$ pod install

Requirements

Minimum iOS Target is ios 9.3.

License

AnobiUIKit is released under the MIT license. See LICENSE for details.

Author

Stanislav Pletnev, [email protected]

Latest podspec

{
    "name": "AnobiUIKit",
    "version": "0.7.0",
    "summary": "AnobiUIKit - collection of various UIKit-dependent classes and categories useful to Objective-C iOS Developer.",
    "description": "AnobiUIKit - collection of various UIKit-dependent classes and categories useful to Objective-C iOS Developer.nn## Main featuresnAKAlertnAKAnimationnAKFormattedFieldnAKImagePickernAKTableViewControllernAKViewDispatchernnAKThemeManagernUIImage+ResizenUINavigationBar+AnobiKitnUIView+AutolayoutnUIViewController+AnobiKit",
    "homepage": "https://github.com/Anobisoft/AnobiUIKit",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Stanislav Pletnev": "[email protected]"
    },
    "social_media_url": "https://twitter.com/Anobisoft",
    "platforms": {
        "ios": "9.3"
    },
    "source": {
        "git": "https://github.com/Anobisoft/AnobiUIKit.git",
        "tag": "0.7.0"
    },
    "source_files": "AnobiUIKit/**/*.{h,m}",
    "frameworks": "UIKit",
    "dependencies": {
        "AnobiKit": [
            "~> 0.13.0"
        ]
    },
    "requires_arc": true
}

Pin It on Pinterest

Share This